> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 live risk overview



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/live/risk/overview
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/live/risk/overview:
    get:
      summary: Get API public v1 live risk overview
      operationId: get-api-public-v1-live-risk-overview
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RiskOverviewBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    RiskOverviewBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/RiskOverviewBody.json
          format: uri
          readOnly: true
          type: string
        availability:
          $ref: '#/components/schemas/RiskAvailability'
        avgLeverage:
          format: double
          type: number
        concentrationTop10:
          format: double
          type: number
        freshness:
          $ref: '#/components/schemas/RiskFreshness'
        generatedAt:
          type: string
        history:
          $ref: '#/components/schemas/RiskOverviewHistory'
        liquidationSummary7d:
          $ref: '#/components/schemas/LiquidationSummaryBody'
        longPositions:
          format: int64
          type: integer
        longShort:
          $ref: '#/components/schemas/GlobalLongShortBody'
        nearLiquidationNotional:
          format: double
          type: number
        netBias:
          format: double
          type: number
        shortPositions:
          format: int64
          type: integer
        topCrowdedCoins:
          items:
            $ref: '#/components/schemas/RiskOverviewCoin'
          type:
            - array
            - 'null'
        totalOI:
          format: double
          type: number
        totalUnrealizedPnl:
          format: double
          type: number
        uniqueWallets:
          format: int64
          type: integer
      required:
        - totalOI
        - uniqueWallets
        - longPositions
        - shortPositions
        - netBias
        - totalUnrealizedPnl
        - concentrationTop10
        - nearLiquidationNotional
        - liquidationSummary7d
        - longShort
        - history
        - topCrowdedCoins
        - availability
        - freshness
        - generatedAt
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    RiskAvailability:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: boolean
        liquidations:
          type: boolean
        liveCandles:
          type: boolean
        markPrices:
          type: boolean
        userActions:
          type: boolean
      required:
        - liquidations
        - userActions
        - historicalClearinghouse
        - liveCandles
        - markPrices
      type: object
    RiskFreshness:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: string
        liquidations:
          type: string
        liveCandles:
          type: string
        livePositions:
          type: string
        longShort:
          type: string
        markPrices:
          type: string
      type: object
    RiskOverviewHistory:
      additionalProperties: false
      properties:
        avgLeverage:
          items:
            $ref: '#/components/schemas/TimestampLeverage'
          type:
            - array
            - 'null'
        liquidations:
          items:
            $ref: '#/components/schemas/GetLiquidationSummaryTimelineRow'
          type:
            - array
            - 'null'
        netBias:
          items:
            $ref: '#/components/schemas/TimestampValue'
          type:
            - array
            - 'null'
        oi:
          items:
            $ref: '#/components/schemas/TimestampValue'
          type:
            - array
            - 'null'
      required:
        - oi
        - netBias
        - avgLeverage
        - liquidations
      type: object
    LiquidationSummaryBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/LiquidationSummaryBody.json
          format: uri
          readOnly: true
          type: string
        availability:
          $ref: '#/components/schemas/RiskAvailability'
        avgClosedPnl:
          format: double
          type: number
        avgPenaltyFee:
          format: double
          type: number
        bucketSizeMs:
          format: int64
          type: integer
        byCoin:
          items:
            $ref: '#/components/schemas/GetLiquidationSummaryByCoinRow'
          type:
            - array
            - 'null'
        coin:
          type: string
        count:
          format: int64
          type: integer
        freshness:
          $ref: '#/components/schemas/RiskFreshness'
        generatedAt:
          type: string
        since:
          type: string
        timeline:
          items:
            $ref: '#/components/schemas/GetLiquidationSummaryTimelineRow'
          type:
            - array
            - 'null'
        totalClosedPnl:
          format: double
          type: number
        totalPenaltyFees:
          format: double
          type: number
      required:
        - since
        - count
        - totalPenaltyFees
        - totalClosedPnl
        - avgPenaltyFee
        - avgClosedPnl
        - bucketSizeMs
        - byCoin
        - timeline
        - availability
        - freshness
        - generatedAt
      type: object
    GlobalLongShortBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/GlobalLongShortBody.json
          format: uri
          readOnly: true
          type: string
        accountRatio:
          format: double
          type: number
        avgLongLeverage:
          format: double
          type: number
        avgLongSize:
          format: double
          type: number
        avgShortLeverage:
          format: double
          type: number
        avgShortSize:
          format: double
          type: number
        bySymbol:
          items:
            $ref: '#/components/schemas/CoinLongShortBody'
          type:
            - array
            - 'null'
        concentrationTop5:
          format: double
          type: number
        longUnrealizedPnl:
          format: double
          type: number
        maxLeverage:
          format: double
          type: number
        netBias:
          format: double
          type: number
        sampleSize:
          format: int64
          type: integer
        shortUnrealizedPnl:
          format: double
          type: number
        timestamp:
          format: int64
          type: integer
        totalLongAccounts:
          format: int64
          type: integer
        totalLongVolume:
          format: double
          type: number
        totalShortAccounts:
          format: int64
          type: integer
        totalShortVolume:
          format: double
          type: number
        totalUnrealizedPnl:
          format: double
          type: number
        tradersTracked:
          format: int64
          type: integer
        volumeRatio:
          format: double
          type: number
      required:
        - totalLongAccounts
        - totalShortAccounts
        - totalLongVolume
        - totalShortVolume
        - accountRatio
        - volumeRatio
        - bySymbol
        - sampleSize
        - tradersTracked
        - timestamp
        - avgLongSize
        - avgShortSize
        - totalUnrealizedPnl
        - longUnrealizedPnl
        - shortUnrealizedPnl
        - concentrationTop5
        - netBias
      type: object
    RiskOverviewCoin:
      additionalProperties: false
      properties:
        avgLeverage:
          format: double
          type: number
        avgLiquidationDistancePct:
          format: double
          type: number
        coin:
          type: string
        concentrationTop5:
          format: double
          type: number
        liquidationClosedPnl7d:
          format: double
          type: number
        liquidationCount7d:
          format: int64
          type: integer
        liquidationPenaltyFees7d:
          format: double
          type: number
        longPositions:
          format: int64
          type: integer
        nearLiquidationNotional:
          format: double
          type: number
        netBias:
          format: double
          type: number
        shortPositions:
          format: int64
          type: integer
        totalOI:
          format: double
          type: number
        totalUnrealizedPnl:
          format: double
          type: number
        uniqueWallets:
          format: int64
          type: integer
      required:
        - coin
        - totalOI
        - uniqueWallets
        - longPositions
        - shortPositions
        - netBias
        - totalUnrealizedPnl
        - concentrationTop5
        - nearLiquidationNotional
        - liquidationCount7d
        - liquidationClosedPnl7d
        - liquidationPenaltyFees7d
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    TimestampLeverage:
      additionalProperties: false
      properties:
        long:
          format: double
          type: number
        short:
          format: double
          type: number
        timestamp:
          format: int64
          type: integer
      required:
        - timestamp
      type: object
    GetLiquidationSummaryTimelineRow:
      additionalProperties: false
      properties:
        bucketStart:
          format: int64
          type: integer
        count:
          format: int64
          type: integer
        totalClosedPnl: {}
        totalPenaltyFees: {}
      required:
        - bucketStart
        - count
        - totalPenaltyFees
        - totalClosedPnl
      type: object
    TimestampValue:
      additionalProperties: false
      properties:
        timestamp:
          format: int64
          type: integer
        value:
          format: double
          type: number
      required:
        - timestamp
        - value
      type: object
    GetLiquidationSummaryByCoinRow:
      additionalProperties: false
      properties:
        coin:
          type: string
        count:
          format: int64
          type: integer
        totalClosedPnl: {}
        totalPenaltyFees: {}
      required:
        - coin
        - count
        - totalPenaltyFees
        - totalClosedPnl
      type: object
    CoinLongShortBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/CoinLongShortBody.json
          format: uri
          readOnly: true
          type: string
        avgLongLeverage:
          format: double
          type: number
        avgLongSize:
          format: double
          type: number
        avgShortLeverage:
          format: double
          type: number
        avgShortSize:
          format: double
          type: number
        coin:
          type: string
        concentrationTop5:
          format: double
          type: number
        longAccounts:
          format: int64
          type: integer
        longUnrealizedPnl:
          format: double
          type: number
        longVolume:
          format: double
          type: number
        maxLeverage:
          format: double
          type: number
        netBias:
          format: double
          type: number
        ratio:
          format: double
          type: number
        sampleSize:
          format: int64
          type: integer
        shortAccounts:
          format: int64
          type: integer
        shortUnrealizedPnl:
          format: double
          type: number
        shortVolume:
          format: double
          type: number
        timestamp:
          format: int64
          type: integer
        topLongs:
          items:
            $ref: '#/components/schemas/LSTopPosition'
          type:
            - array
            - 'null'
        topShorts:
          items:
            $ref: '#/components/schemas/LSTopPosition'
          type:
            - array
            - 'null'
        totalUnrealizedPnl:
          format: double
          type: number
        volumeRatio:
          format: double
          type: number
      required:
        - coin
        - longAccounts
        - shortAccounts
        - longVolume
        - shortVolume
        - ratio
        - volumeRatio
        - topLongs
        - topShorts
        - sampleSize
        - timestamp
        - avgLongSize
        - avgShortSize
        - totalUnrealizedPnl
        - longUnrealizedPnl
        - shortUnrealizedPnl
        - concentrationTop5
        - netBias
      type: object
    LSTopPosition:
      additionalProperties: false
      properties:
        address:
          type: string
        notional:
          format: double
          type: number
        pnl:
          format: double
          type: number
        size:
          format: double
          type: number
      required:
        - address
        - size
        - notional
        - pnl
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````